{
  "name": "重新命名小部件",
  "icon": "pneumaticcraft:textures/progwidgets/rename_piece.png",
  "category": "pneumaticcraft:widget_other",
  "advancement": "pneumaticcraft:programmer",
  "pages": [
    {
      "type": "text",
      "text": "這個小部件可以重新命名 $(l:tools/drone)無人機/$，就像你用 $(item)名稱標籤/$ 右鍵點選它一樣。名稱在附加的 $(l:programming/text)文字/$ 小部件中輸入。"
    },
    {
      "type": "text",
      "title": "變數",
      "text": "你還可以透過在文字中包含 $(thing)${<var_name>}/$ 來插入 $(l:programming/variables)變數/$ 的值，例如：$(p)  $(formula)計數器: ${counter}/$$(p)如果 $(thing)counter/$ 變數被設定為 $(thing)x=1,y=2,z=3/$，則這將展開為 $(thing)計數器: 1, 2, 3/$。$(l:programming/variables#special)特殊/$ 和 $(l:programming/variables#global)全域性變數/$ 也可以在這裡使用。"
    },
    {
      "type": "image",
      "images": [
        "pneumaticcraft:textures/progwidgets/rename_piece.png"
      ],
      "text": "$(italic)你是誰來著？/$"
    }
  ]
}